	;	 dtbllfun.inc - toolbar functions for linked list display

	case a_param of
	  begincase
	  'END':  xcall m_signal ('END')	; for a break for find
	  'HELP': xcall m_signal ('HELP')	; for a break for find
	  'ADD':  begin
		    dtb_function = 'A'
		    xcall m_signal ('^ADD')	; force a break to reset input
		  end
	  'EDIT': begin
		    dtb_function = 'E'
		    xcall m_signal ('^EDIT')	; force a break to reset input
		  end
	  'UPDT': begin
		    xcall m_signal ('^UPDT')	; force a break for update
		  end
	  'CANC': begin
		    xcall m_signal ('^CANC')	;;;;
		  end
	  'DEL':  begin
		    dtb_function = 'D'
		    xcall m_signal ('^DEL')	; force a break for delete
		  end
	  endcase
	xreturn
